//

#include <WProgram.h> 

#define MESSAGE_ALARMBYTE_POS 0x03
#define CHECKSUM_POS   44
#define LENGTH	45
#define TPS_EM	2

#define ALARM_LOW_VOLTAGE 0x10
#define ALARM_OFF 0x00

class GMessage {

private:
  uint8_t checksum (uint8_t *data);

public:
  void send();
  void setMainVoltage(float amp);
  void setVoltage1(float volt);
  void setVoltage2(float volt);
  void setLipo(float volt,int lipo);
  void setAmpere(float amp);
  void setMilliAmpere(uint32_t mA);
  void setAltitudeInMeters(uint16_t alti);
  void setClimbrate(float sr);
  void setClimbrate_M3(int srmmm);
  void setTemp (int temp, int capteur);
  void setFuelPercent(uint8_t pourcent);
  void setFuelMilliliters(uint16_t ml);
  void setRPM(uint32_t rpm);
};



